Having looked at the file, I would say that a completely automatic lisp would be impossible in places, due to the relative placement of the elevation text in relation to the ground point.
For example, the text is not at a consistent displacement left or right. In areas of congested detail, some levels are on top of other ground points, so a programme to search for the closest text would choose the wrong one. In some areas there is no elevation text for a ground point. Some of the ground points are blocks.
All in all, I would go for a manual approach.. I hesitate to post my lisp to do this, because last time, I was chided for producing an untidy lisp. All I know is that it works, and for 2000 points, you could do that in an hour or so. With Osnaps set to suitable settings, the work goes quite fast, even if it is one at a time.
(defun c:grlev ( / p1 tx e zd os); puts 3D point at level shown by text; by eldon 2000 (setvar "OSMODE" 104); set Osnap for picking plan point (setq p1 (getpoint "\n Pick plan point..... ")) (setvar "OSMODE" 64) (setq tx (entsel "\n Pick Level text...... ")) (setvar "OSMODE" 0) (setq e (entget (car tx))) (setq zd (atof (cdr (assoc 1 e)))) (setq p1 (list (car p1) (cadr p1) zd)) (command "point" p1))
You have to set up the Osmode variable according to the list below. It is currently set for Node, Insertion and Intersection. It works one point at a time, but by pressing the right mouse button, it starts again. There are no error traps. I hope it works for you.
Sets running Object Snap modes using the following bitcodes:
To specify more than one object snap, enter the sum of their values. For example, entering 3 specifies the Endpoint (bitcode 1) and Midpoint (bitcode 2) object snaps. Entering 16383 specifies all object snaps.
:shock:YEP, that is it, I found that it makes new points with correct Z coord, after I do this just quick select all Z=0 and erase and this is it!!!!! Thx man, you helped me a lot!!!
I wanted to do it already, but always find something to do for my work, but think I should do it once:glare:, it seems not so complicated?? To examine some tutorials and think this would be a good start..